
:: run.bat
:: Andrew Davison, ad@fivedots.coe.psu.ac.th, Nov. 2022

@echo off
setlocal

if "%~1"=="" (
  echo No file name supplied
  exit /B
)

:: assume the Jars are in libs folder
set _libs=libs\
if not exist %_libs% (
  echo No libs folder found
  exit /B
)

set _path=%~dp0
rem echo %_path%
:: useful with java's -Djava.library.path

:: strip off any extension, such as ".class"
if "%~x1"=="" (
  set FNM=%1
) else (
  set FNM=%~n1
)

echo Using:
for %%f in (%_libs%*) do (
  echo   %%f
)
echo Executing %FNM%...
echo.

:: get all the arguments after %1
rem echo %*
set _tail=%*
call set _tail=%%_tail:*%1=%%
rem echo %_tail%


rem monitor output from javaw appl.

rem start /b powershell -command "gc out.txt -wait"
rem timeout /t 1 > nul

rem when using javaw for Laterna; so must redirect output
javaw -cp "%_libs%*;." %FNM% %_tail% > out.txt 2>&1
rem java -Djava.awt.headless=true -cp "%_libs%*;." %FNM% %_tail% 

rem echo. >> out.txt
type out.txt

rem kill monitoring process
rem taskkill /f /fi "imagename eq powershell*" > nul

echo Finished.

